NetBIOSProtocolEndpoint (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.NetBIOSProtocolEndpoint interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface NetBIOSProtocolEndpoint

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, ProtocolEndpoint, java.io.Serializable

    public interface NetBIOSProtocolEndpoint

extends ProtocolEndpoint

Naming rule - RFC1001.

Naming Rules:
  0="nodeName,scopeID"
Persistable:
  true
Table Name:
  PENDNBIOS

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getNodeName()` 32 chars
`java.lang.String` | `getScopeID()` Scope Identifier
`boolean` | `hasNodeName()`
`boolean` | `hasScopeID()`
`void` | `setNodeName(java.lang.String x)`
`void` | `setScopeID(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getNodeName

    java.lang.String getNodeName()
                                 throws AttributeNotSetException

  32 chars

  Throws:
    `AttributeNotSetException`

### setNodeName

    void setNodeName(java.lang.String x)

### hasNodeName

    boolean hasNodeName()

### getScopeID

    java.lang.String getScopeID()
                                throws AttributeNotSetException

  Scope Identifier

  Throws:
    `AttributeNotSetException`

### setScopeID

    void setScopeID(java.lang.String x)

### hasScopeID

    boolean hasScopeID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD